/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.common.formdata;

import java.time.ZonedDateTime;

public class FormHeaderTestFactory {

	public static final String CLIENT_ID = "clientId";
//	public static final String CLIENT = "client";
	public static final String CUSTOMER_ID = "customerId";
	public static final String CUSTOMER = "customer";
	public static final String SENDER = "sender";
	public static final String FORM_ENGINE_NAME = "TB3000";
	public static final String FORM_NAME = "formName";
	public static final String FORM_ID = "formId";
	public static final String REQUEST_ID = "requestId";
	public static final String VORGANG_NUMMER = "ABCD-1234";
	public static final String CREATED_AT_STR = "2024-04-01T01:00:30Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);

	public static FormHeader create() {
		return createBuilder().build();
	}

	public static FormHeader.FormHeaderBuilder createBuilder() {
		return FormHeader.builder()
				.requestId(REQUEST_ID)
				.vorgangNummer(VORGANG_NUMMER)
				.createdAt(CREATED_AT)
				.formEngineName(FORM_ENGINE_NAME)
				.formId(FORM_ID)
				.formName(FORM_NAME)
				.sender(SENDER)
				.serviceKonto(ServiceKontoTestFactory.create());
	}

}
