package de.ozgcloud.eingang.xta;

import de.ozgcloud.eingang.common.formdata.FormData;
import de.ozgcloud.eingang.common.formdata.FormHeader;
import de.ozgcloud.eingang.common.formdata.IncomingFile;

import de.ozgcloud.eingang.common.formdata.IncomingFileGroup;
import de.ozgcloud.eingang.common.vorgang.VorgangNummerSupplier;
import org.springframework.stereotype.Component;

import java.util.Collection;
import java.util.Collections;

import static de.ozgcloud.eingang.xta.XtaMessageMapper.VORGANG_NUMMER_SUFFIX_LENGTH;

@Component
public class FimMessageMapper {

    /*
     * FIXME: This is only a quick and dirty implementation for a fim message mapper
     */
    public FormData toFormData(final XtaMessageMetaData metaData, final VorgangNummerSupplier vorgangNummerSupplier, final Collection<IncomingFile> incomingFileList) {
        return FormData.builder()
                .header(FormHeader.builder()
                        .formId(metaData.getMessageType())
                        .requestId(metaData.getMessageId().toString())
                        .createdAt(metaData.getOrigin())
                        .vorgangNummer(vorgangNummerSupplier.get(VORGANG_NUMMER_SUFFIX_LENGTH))
                        .sender("XTA")
                        .build())
                .numberOfAttachments(incomingFileList.size())
                .attachments(Collections.singleton(IncomingFileGroup.builder()
                        .name("fim_files")
                        .files(incomingFileList)
                        .build()))
                .build();
    }
}
